Subject: perl/Git.pm: Writing a test suite

From: Lea Wiemann <[email-masked]>
Date: Fri, 30 May 2008 09:43:48 +0200

Git.pm doesn't currently have a test suite, and I think it should get one.

Since Git.pm makes calls to the git binary, it would seem sensible to me 
to create mock output for the external calls, like Grit (a Ruby API) 
does it, here: http://github.com/mojombo/grit/tree/master/test/fixtures 
  (Having a complete test repository to test against like Ruby/Git 
(another API) at 
http://repo.or.cz/w/rubygit.git?a=tree;f=tests/files;hb=HEAD is probably 
too brittle and makes it hard to test edge cases.)

I haven't done testing in perl before, so if someone wants to exchange 
ideas and/or help me get this set up, please post here or message me on 
IRC (lea_w/lea_1 on #git at Freenode).

-- Lea